# Contributing
First of all, thank you for contributing to FusionCMS! We appreciate all contributions; big and small.

This document serves as a guideline and a list of expectations for contributing to FusionCMS. All of our code is hosted, openly, on GitHub.

---

## Code of Conduct
When interacting with us and the community, please adhere to and uphold our Code of Conduct. The tl;dr version is simply this: **Be a nice. We're all human here ✌️**

## Security
If you discover any security related issues, please email security@efelle.com directly instead of using the issue tracker. All reports will be immediately responded to, resolved, and reported to the community.

## Bug Reports
When filing a bug report, your issue should contain a title and a clear description of the issue. You should include as much relevent information as possible and a code sample that illustrates the issue if possible. The goal of a bug report is to make it easy for yourself - and others - to replicate the bug and develop a fix.

Remember, bug reports are created in the hope that others with the same problem will be able to collaborate with you on solving it. Do not expect that the bug report will automatically see any activity or that others will jump to fix it. Creating a bug report serves to help yourself and others start on the path of fixing the problem.

## Pull Requests

### New Features
For new features, please open an issue in the issue tracker to discuss the feature. We'd hate to see you put in a lot of effort into something only for it to be rejected for any reason!

If you propose a new feature or drastic change to any existing functionality, please be willing to implement at least some of the code that would be needed to complete the feature.

Please open one pull request per feature. If you're wanting to add or do multiple things, send multiple pull requests.

### Coding Standards
We follow the PSR-2 coding standard - don't worry if your code isn't perfect in this regard, we will apply automatic styling when merging. Being as close as possible to the standard helps when we manually review your code.

### Tests
Please write tests for any new feature you add. Your code has a higher chance of being accepted if tests are included.

### Documentation
Documentation is currently maintained separately on the official website.

### Branches
Please create a feature branch. We will not accept pull requests from your master branch.
